Package Details: scangearmp2 4.40-1

Git Clone URL: https://aur.archlinux.org/scangearmp2.git (read-only, click to copy)
Package Base: scangearmp2
Description: Canon ScanGear MP v2 scanner driver.
Upstream URL: https://www.canon.co.uk
Licenses: GPL, custom:canon
Provides: scangearmp2
Submitter: iAndrewT
Maintainer: pvdl1984
Last Packager: pvdl1984
Votes: 19
Popularity: 0.170143
First Submitted: 2016-12-22 23:29 (UTC)
Last Updated: 2022-07-06 09:28 (UTC)

Pinned Comments

pvdl1984 commented on 2022-03-26 11:26 (UTC)

I also created the AUR scangearmp2-sane-git which uses the github repository below. It includes a slightly upgraded GUI for scangearmp2, but more importantly provides a sane driver.

Latest Comments

1 2 3 Next › Last »

titi1970 commented on 2022-11-21 11:09 (UTC)

4 new models : https://gdlp01.c-wss.com/gds/2/0100011642/01/scangearmp2-source-4.50-1.tar.gz

kerojiang commented on 2022-07-06 08:20 (UTC) (edited on 2022-07-06 08:22 (UTC) by kerojiang)

hi the scangearmp2 v4.40 can download now. please update the package to the new version.

https://gdlp01.c-wss.com/gds/4/0100011384/01/scangearmp2-source-4.40-1.tar.gz

pvdl1984 commented on 2022-06-16 08:12 (UTC)

@burster I have now updated it because it seems to both work. What build system are you using? The old path works with both yay and makepkg.I would still recommendend to switch to scangearmp2-sane-git as it is the same as this package, but with some improvements (like being able to use any linux compatible scan program as it ships a SANE compatible driver as well).

burster commented on 2022-06-15 18:31 (UTC)

Sorry for late reply. Of course it was a clean build 'cause I ran into trouble. The problem is the path to the libusb patch. Since we're are already in the directory where the patch is we can't find him in parent directory. See: https://pastebin.com/r3HWHtRn

pvdl1984 commented on 2022-05-07 09:30 (UTC)

@burster Did you try to clean build (assuming you use yay)? Otherwise, how did you try to install? I just verified on a clean system, and both yay and makepkg work fine?

Also, consider trying out scangearmp2-sane-git, it has both an improved dedicate UI, and integrates with existing linux scan tools.

burster commented on 2022-05-07 01:40 (UTC)

Hello. Patching failed because wrong path in line 25: 'patch -p1 < ../libusb.patch'. You need to remove ../

pvdl1984 commented on 2022-03-27 06:36 (UTC)

@jdetwiler Sorry, made a mistake with packaging. It works fine now (select the option to clean build the package)

jdetwiler commented on 2022-03-26 22:24 (UTC)

Install fails for me; looks like it could be the version numbering?

patching file scangearmp2-source-4.30-1/scangearmp2/src/canon_mfp_tools.c
/home/joshua/.cache/yay/scangearmp2/PKGBUILD: line 26: cd: scangearmp2-source-4.30-2: No such file or directory

pvdl1984 commented on 2022-03-26 11:26 (UTC)

I also created the AUR scangearmp2-sane-git which uses the github repository below. It includes a slightly upgraded GUI for scangearmp2, but more importantly provides a sane driver.

pvdl1984 commented on 2022-03-26 07:55 (UTC) (edited on 2022-03-26 07:55 (UTC) by pvdl1984)

This should all be working now. When I have the time I will be looking at the sane version as well. Thanks @dequis for the solution